# Create a person without a contract

POST https://api.letsdeel.com/rest/v2/pwac
Content-Type: application/json

Create a person without a contract hired under your own entity to Deel's HRIS.
 **Token scopes**: `people:write`

Reference: https://developer.deel.com/api/endpoints/people/create-person-without-contract

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /pwac:
    post:
      operationId: create-person-without-contract
      summary: Create a person without a contract
      description: >-
        Create a person without a contract hired under your own entity to Deel's
        HRIS.
         **Token scopes**: `people:write`
      tags:
        - subpackage_people
      parameters:
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/people_createPersonWithoutContract_Response_201
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAPersonWithoutAContract-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAPersonWithoutAContract-v2026-01-01RequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    PwacPostRequestBodyContentApplicationJsonSchemaDataClientTeam:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The team that the person is part of
        direct_manager_id:
          type: string
          format: uuid
          description: The direct manager of the person
        direct_reports_ids:
          type: array
          items:
            type: string
            format: uuid
          description: The direct reports of the person
      required:
        - id
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataClientTeam
    PwacPostRequestBodyContentApplicationJsonSchemaDataClientDepartment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The department that the person is part of
      required:
        - id
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataClientDepartment
    PwacPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The legal entity that the person is part of
      required:
        - id
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity
    PwacPostRequestBodyContentApplicationJsonSchemaDataClient:
      type: object
      properties:
        team:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataClientTeam
        department:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataClientDepartment
        legal_entity:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataClientLegalEntity
      required:
        - team
        - legal_entity
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataClient
    PwacPostRequestBodyContentApplicationJsonSchemaDataPerson:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The personal email of the person being hired
        state:
          type: string
          description: The state of the person being hired
        country:
          type: string
          description: The country of the person being hired
        end_date:
          type: string
          format: date
          description: The end date of the person being hired
        job_title:
          type: string
          description: The job title of the person being hired
        last_name:
          type: string
          description: The last name of the person being hired
        seniority:
          type: string
          description: The seniority of the person being hired
        first_name:
          type: string
          description: The first name of the person being hired
        start_date:
          type: string
          format: date
          description: The start date of the person being hired
        work_email:
          type: string
          format: email
          description: The work email of the person being hired
        external_id:
          type: string
          description: An external identifier for the person being hired
        nationality:
          type: string
          description: The nationality of the person being hired
        preferred_last_name:
          type: string
          description: The preferred last name of the person being hired
        preferred_first_name:
          type: string
          description: The preferred first name of the person being hired
      required:
        - email
        - last_name
        - first_name
        - start_date
      description: The person that is being hired
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataPerson
    PwacPostRequestBodyContentApplicationJsonSchemaDataInvitationAction:
      type: string
      enum:
        - DISABLE
        - IMMEDIATE
      description: Controls whether to send an invitation email.
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataInvitationAction
    PwacPostRequestBodyContentApplicationJsonSchemaDataInvitation:
      type: object
      properties:
        action:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataInvitationAction
          description: Controls whether to send an invitation email.
      description: >-
        Optional invitation configuration for the new hire. Defaults to
        'disable' if not provided.
      title: PwacPostRequestBodyContentApplicationJsonSchemaDataInvitation
    PwacPostRequestBodyContentApplicationJsonSchemaData:
      type: object
      properties:
        client:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataClient
        person:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataPerson
          description: The person that is being hired
        invitation:
          $ref: >-
            #/components/schemas/PwacPostRequestBodyContentApplicationJsonSchemaDataInvitation
          description: >-
            Optional invitation configuration for the new hire. Defaults to
            'disable' if not provided.
      required:
        - client
        - person
      title: PwacPostRequestBodyContentApplicationJsonSchemaData
    PwacPostResponsesContentApplicationJsonSchemaDataPerson:
      type: object
      properties:
        email:
          type: string
          format: email
          description: The personal email of the person being hired
        state:
          type: string
          description: The state of the person being hired
        country:
          type: string
          description: The country of the person being hired
        end_date:
          type:
            - string
            - 'null'
          format: date
          description: The end date of the person being hired
        job_title:
          type: string
          description: The job title of the person being hired
        last_name:
          type: string
          description: The last name of the person being hired
        seniority:
          type: string
          description: The seniority of the person being hired
        worker_id:
          type: number
          format: double
          description: The worker ID of the person being hired
        first_name:
          type: string
          description: The first name of the person being hired
        start_date:
          type: string
          format: date
          description: The start date of the person being hired
        work_email:
          type: string
          format: email
          description: The work email of the person being hired
        external_id:
          type:
            - string
            - 'null'
          description: An external identifier for the person being hired
        nationality:
          type: string
          description: The nationality of the person being hired
      required:
        - email
        - last_name
        - first_name
        - start_date
      description: The person that is being hired
      title: PwacPostResponsesContentApplicationJsonSchemaDataPerson
    PwacPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The id of the person
        person:
          $ref: >-
            #/components/schemas/PwacPostResponsesContentApplicationJsonSchemaDataPerson
          description: The person that is being hired
      required:
        - id
        - person
      title: PwacPostResponsesContentApplicationJsonSchemaData
    people_createPersonWithoutContract_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/PwacPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: people_createPersonWithoutContract_Response_201
    PwacPostResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human readable error message
      required:
        - code
        - message
      title: PwacPostResponsesContentApplicationJsonSchemaError
    CreateAPersonWithoutAContract-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/PwacPostResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: CreateAPersonWithoutAContract-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    CreateAPersonWithoutAContract-v2026-01-01RequestInternalServerError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/PwacPostResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: CreateAPersonWithoutAContract-v2026-01-01RequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/pwac"

payload = { "data": {
        "client": {
            "team": { "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e" },
            "legal_entity": { "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d" }
        },
        "person": {
            "email": "email@email.com",
            "last_name": "Doe",
            "first_name": "John",
            "start_date": "2020-01-01"
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/pwac';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"client":{"team":{"id":"cbb25647-31e0-485d-9d5f-bdd48296aa1e"},"legal_entity":{"id":"cfebc769-abe9-4646-83b9-28cf79f23a0d"}},"person":{"email":"email@email.com","last_name":"Doe","first_name":"John","start_date":"2020-01-01"}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/pwac"

	payload := strings.NewReader("{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/pwac")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/pwac")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/pwac', [
  'body' => '{
  "data": {
    "client": {
      "team": {
        "id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"
      },
      "legal_entity": {
        "id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"
      }
    },
    "person": {
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "start_date": "2020-01-01"
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/pwac");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"client\": {\n      \"team\": {\n        \"id\": \"cbb25647-31e0-485d-9d5f-bdd48296aa1e\"\n      },\n      \"legal_entity\": {\n        \"id\": \"cfebc769-abe9-4646-83b9-28cf79f23a0d\"\n      }\n    },\n    \"person\": {\n      \"email\": \"email@email.com\",\n      \"last_name\": \"Doe\",\n      \"first_name\": \"John\",\n      \"start_date\": \"2020-01-01\"\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "client": [
      "team": ["id": "cbb25647-31e0-485d-9d5f-bdd48296aa1e"],
      "legal_entity": ["id": "cfebc769-abe9-4646-83b9-28cf79f23a0d"]
    ],
    "person": [
      "email": "email@email.com",
      "last_name": "Doe",
      "first_name": "John",
      "start_date": "2020-01-01"
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/pwac")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```